Bug 458407 - Review Request: ibus-anthy - anthy engine for IBus
Review Request: ibus-anthy - anthy engine for IBus
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 21:35 EDT by Peng Huang
Modified: 2014-10-27 07:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 04:34:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peng Huang 2008-08-07 21:35:17 EDT
Spec URL: http://ibus.googlecode.com/files/ibus-anthy.spec
SRPM URL: http://ibus.googlecode.com/files/ibus-anthy-0.1.0.20080808-1.fc9.src.rpm
Description: It is a Japanese engine for IBus
Comment 1 Parag AN(पराग) 2008-08-08 04:01:11 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=766012
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
d4e97fc37198a3916a9ead39433d411c  ibus-anthy-0.1.0.20080808.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are correct with unnecessary extra dependencies  perl(XML::Parser)
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package ibus-anthy-0.1.0.20080808-1.fc10 =>
  Provides:  _anthy.so
 Requires: /bin/sh libanthy.so.0 libanthydic.so.0 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) python(abi) = 2.5 rtld(GNU_HASH)

Suggestions:
  1) Remove extra BR: perl(XML::Parser)
  2) Remove unnecessary line from %files
    %{_datadir}/ibus-anthy/icons/*
    This makes build.log to show 
   warning: File listed twice: /usr/share/ibus-anthy/icons/ibus-anthy.png

APPROVED.
Comment 2 Peng Huang 2008-08-08 04:14:56 EDT
New Package CVS Request
=======================
Package Name: ibus-anthy
Short Description: The Anthy input engine for IBus platform
Owners: phuang
Branches: F-9
InitialCC: phuang
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-08-09 21:29:49 EDT
cvs done.
Comment 4 Peng Huang 2008-08-10 14:14:42 EDT
It has been built in koji.
Comment 5 Peng Huang 2008-08-13 00:53:11 EDT
New Package CVS Request
=======================
Package Name: ibus-anthy
Short Description: The Anthy input engine for IBus platform
Owners: phuang
Branches: EPEL-5
InitialCC: phuang
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-08-13 01:07:37 EDT
cvs done.
Comment 7 fujiwara 2014-10-27 02:19:47 EDT
Package Change Request
======================
Package Name: ibus-anthy
New Branches: epel7
Owners: fujiwara
InitialCC: i18n-team
Comment 8 Gwyn Ciesla 2014-10-27 07:57:56 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.